bt在centos6.5不能安装php扩展pdo_pgsql

2020-03-20 20:02 阅读 204 views 次 bt在centos6.5不能安装php扩展pdo_pgsql已关闭评论

升级autoconf

查询当前版本:

[root@wslu-cs wslu]# rpm -qf /usr/bin/autoconf  
autoconf-2.63-5.1.el6.noarch

卸载当前版本:

[root@wslu-cs wslu]# rpm -e --nodeps autoconf-2.63

 

安装最新版本:

[root@wslu-cs wslu]# wget ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.69.tar.gz  
[root@wslu-cs wslu]# tar zxvf autoconf-2.69.tar.gz  
[root@wslu-cs wslu]# cd autoconf-2.69  
[root@wslu-cs wslu]# ./configure --prefix=/usr/  
[root@wslu-cs wslu]# make && make install

yum install postgresql11-devel

export PATH=/usr/pgsql-11/bin:$PATH

ln -s /usr/pgsql-11 /usr/local/pgsql

 

目的是要这么运行正常才行:

cd /www/server/php/73/src/ext/pdo_pgsql
/www/server/php/73/bin/phpize

./configure --with-php-config=/www/server/php/73/bin/php-config

export PATH=/usr/pgsql-11/bin:$PATH
/usr/pgsql-11/bin/pg_config
版权声明:本文著作权归原作者所有,欢迎分享本文,谢谢支持!
转载请注明:bt在centos6.5不能安装php扩展pdo_pgsql | 蚂蚁浏览器文档
分类:电脑技术 标签:

评论已关闭!